Bug 246285 - strange URL encoding behavior from search bar
Summary: strange URL encoding behavior from search bar
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: searchbarplugin (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Arend van Beelen jr.
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-30 16:30 UTC by Ivan D Vasin
Modified: 2011-05-31 14:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan D Vasin 2010-07-30 16:30:40 UTC
Version:           unspecified (using KDE 4.4.5) 
OS:                Linux

this bug is in Konqueror 4.4.5, but this option is not listed in the "Application Version" dropdown list.

i would like to search for "rpm %config" on Google.  i think it's reasonable for me to assume that typing "rpm %config" into the search bar and pressing Enter should have this effect, but it doesn't.

a workaround is to instead type "rpm %25config" into the search bar.

Reproducible: Always

Steps to Reproduce:
1. type "rpm %config" into the Konqueror search bar.
2. press Enter.

Actual Results:  
on Ubuntu:
    1. Konqueror navigates to <http://www.google.com/search?client=ubuntu&channel=ks&q=rpm+%EF%BF%BDnfig>, which amounts to a search query of "rpm  nfig".

Expected Results:  
on Ubuntu:
    1. Konqueror navigates to <http://www.google.com/search?client=ubuntu&channel=ks&q=rpm+%25config>, which amounts to a search query of "rpm %config".

OS: Linux (x86_64) release 2.6.34-020634-generic
Compiler: cc
Comment 1 Ivan D Vasin 2010-09-08 17:06:08 UTC
this problem persists in Konqueror 4.5.1.
Comment 2 Ivan D Vasin 2011-04-01 17:11:12 UTC
still present with Konqueror 4.6.1.  searching from the address bar has a similar result.  does not affect rekonq 0.6.85.
Comment 3 Dawit Alemayehu 2011-05-31 14:06:53 UTC
Git commit e5124596ff3812329f5d2f7699d18dc7fbd805e7 by Dawit Alemayehu.
Committed on 31/05/2011 at 14:04.
Pushed by adawit into branch 'KDE/4.6'.

Correctly handle '%' in the typed-in string

BUG: 246285
FIXED-IN: 4.6.4

M  +3    -3    kurifilter-plugins/ikws/kuriikwsfiltereng.cpp     
M  +1    -1    kurifilter-plugins/ikws/kuriikwsfiltereng.h     

http://commits.kde.org/kde-runtime/e5124596ff3812329f5d2f7699d18dc7fbd805e7
Comment 4 Dawit Alemayehu 2011-05-31 14:07:58 UTC
Git commit 809ae9af8b2029fee273055a58b8eb50408fbd31 by Dawit Alemayehu.
Committed on 31/05/2011 at 14:04.
Pushed by adawit into branch 'master'.

Correctly handle '%' in the typed-in string

BUG: 246285
FIXED-IN: 4.6.4

(cherry picked from commit e5124596ff3812329f5d2f7699d18dc7fbd805e7)

M  +3    -3    kurifilter-plugins/ikws/kuriikwsfiltereng.cpp     
M  +1    -1    kurifilter-plugins/ikws/kuriikwsfiltereng.h     

http://commits.kde.org/kde-runtime/809ae9af8b2029fee273055a58b8eb50408fbd31